﻿global using Microsoft.EntityFrameworkCore;

namespace WSY.MySQL.BugRepro;

internal class Program
{
    private const string ConnectionString = "Server=mysql.docker.home.wangshiyao.com;Database=bug_repro;Uid=root;Pwd=kudr75;";

    static void Main(string[] args)
    {
        Console.WriteLine("Hello, World!");
        var dbContextOptions = MySQLDbContextOptionsExtensions.UseMySQL<SampleDbContext>(new(), ConnectionString, options => { }).Options;
        Console.WriteLine("Using ConnectionString: " + ConnectionString);
        using SampleDbContext dbContext = new(dbContextOptions);
        SampleTable data = new() { Name = "Sample1" };
        dbContext.SampleTableDatas.Add(data);
        dbContext.SaveChanges();
        Console.WriteLine("Data saved!");
        data.Name = "Changed!";
        // Will fail here
        dbContext.SaveChanges();
        Console.WriteLine("Data updated!");
    }
}
